package com.kingdee.eas.custom.certification;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.certification.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class AutoGenCertification extends AbstractBizCtrl implements IAutoGenCertification
{
    public AutoGenCertification()
    {
        super();
        registerInterface(IAutoGenCertification.class, this);
    }
    public AutoGenCertification(Context ctx)
    {
        super(ctx);
        registerInterface(IAutoGenCertification.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3ACD59E5");
    }
    private AutoGenCertificationController getController() throws BOSException
    {
        return (AutoGenCertificationController)getBizController();
    }
    /**
     *离职自动生成证明-User defined method
     *@param curDate 指定日期
     *@param offSet 0为当天; -n: 往前-n天 至当天的时间范围; n: 当天至往后n天的时间范围;
     *@param auditType 0,提交; 1,直接审批通过
     */
    public void autoGenToResign(String curDate, int offSet, int auditType) throws BOSException, EASBizException
    {
        try {
            getController().autoGenToResign(getContext(), curDate, offSet, auditType);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *根据证明自动发送消息-User defined method
     *@param curDate 当前时间
     *@param offSet 0为当天; -n: 往前-n天 至当天的时间范围; n: 当天至往后n天的时间范围;
     */
    public void autoSendMsgByCert(String curDate, int offSet) throws BOSException, EASBizException
    {
        try {
            getController().autoSendMsgByCert(getContext(), curDate, offSet);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *自动盖章-User defined method
     *@param curDate 当前日期
     *@param offSet 0为当天; -n: 往前-n天 至当天的时间范围; n: 当天至往后n天的时间范围;
     */
    public void autoStamp(String curDate, int offSet) throws BOSException, EASBizException
    {
        try {
            getController().autoStamp(getContext(), curDate, offSet);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}